<?php
add_action( 'widgets_init', function(){
     register_widget( 'appointpress_Widget' );
});

class appointpress_Widget extends WP_Widget {

	public function __construct() {
		// widget actual processes
		parent::__construct(
	 		'appointpress_Widget', // Base ID
			'AppointPress Widget', // Widget Name
			array( 'description' => __( 'Appointpress is a simple yet powerful appointment booking software for your business. If your business requires appointment booking, then Appointpress is for you.', 'appointpress' ), ) // Args
		);
	}


	public function widget( $args, $instance ) {
		// outputs the content of the widget
		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );

		if ( ! empty( $title ) )
			echo $before_title . $title . $after_title;
		//echo $after_widget;
		
		wp_enqueue_style('ap-bootstrap-css',plugins_url('menu-pages/bootstrap-assets/css/bootstrap-appointpress.css', __FILE__));
		wp_enqueue_script('ap-jquery.min.js',plugins_url('menu-pages/bootstrap-assets/js/jquery.min.js', __FILE__));
		wp_register_style('ap-bootstrapoverlay-css',plugins_url('overlay.css', __FILE__));
		wp_enqueue_style('ap-bootstrapoverlay-css');
		
		//include('Mobile_Detect.php');
		$ApAccDetails = unserialize(get_option('appointpress_account_details'));
		$NewTabUrl =  $ApAccDetails['appointpress_business_url'];
		if($ApAccDetails['appointpress_status'] == 'invalid' || $ApAccDetails['appointpress_status'] == '')
		{
			?><div class="alert-appointpress alert-appointpress-danger">
				<strong><?php _e('Error! Invalid AppointPress Account Details.','appointpress'); ?><br>
				<?php _e('SignUp For Free AppointPress Account','appointpress'); ?>
				<a href="http://appointpress.com/pricing/" title="<?php _e('Signup For New Appointpress Account','appointpress'); ?>" target="_blank"><?php _e('HERE','appointpress'); ?></a></strong>
			</div>
			<?php
		}
		else if($ApAccDetails['appointpress_business_url'] != '')
		{
			?>
			<script>
			jQuery(document).ready(function() {
				jQuery('#Firstappointpress-modal-wgt').hide();
				jQuery('#backgroundPopup-wgt').hide();
				
				jQuery('#scheduleapp-wgt').click(function() {
					jQuery('#Firstappointpress-modal-wgt').show();
					jQuery('#backgroundPopup-wgt').show();
				});
				jQuery('#scheduleapp1-wgt').click(function() {
					opennewtabWgt();
				});
				
				jQuery('#close-wgt').click(function() {
					jQuery('#Firstappointpress-modal-wgt').hide();
				});
			});
			function bookmodalcloseWgt()
			{
				jQuery('#Firstappointpress-modal-wgt').hide();
				jQuery('#backgroundPopup-wgt').hide();
			}
			</script>
			<?php 
				if($ApAccDetails['appointpress_booking_button_color'] == '')
				{
					$ApAccDetails['appointpress_booking_button_color'] = 'appointpress_btn-primary';
				}
			?>
			<br>
				<?Php
					$detect=new Mobile_Detect;
					if ($detect->isMobile() | $detect->isTablet() | $detect->isiOS() | $detect->isAndroidOS())
					{
					?>
					<div align="center">
						<button name="scheduleapp1-wgt" id="scheduleapp1-wgt"  class="appointpress_btn <?php echo $ApAccDetails['appointpress_booking_button_color']; ?> <?php echo $ApAccDetails['appointpress_booking_button_size']; ?>" type="button" >
							<strong><?php 
									if($ApAccDetails['appointpress_booking_button_text'] != '')
									{ echo $ApAccDetails['appointpress_booking_button_text']; }
									else
									{ _e('Schedule New Appointment', 'appointPress'); }
							 ?></strong>
						</button>
					</div>
				<?php
					}else{
				?>
				<div align="center" style="padding-bottom:20px;">
				<button name="scheduleapp-wgt" id="scheduleapp-wgt"  class="appointpress_btn <?php echo $ApAccDetails['appointpress_booking_button_color']; ?> <?php echo $ApAccDetails['appointpress_booking_button_size']; ?>" type="button" >
					<strong><?php 
							if($ApAccDetails['appointpress_booking_button_text'] != '')
							{ echo $ApAccDetails['appointpress_booking_button_text']; }
							else
							{ _e('Schedule New Appointment', 'appointPress'); }
					 ?></strong>
				</button>
				</div>
					
				<!--<div id='backgroundPopup-wgt' style='height: 513px; left:0px; opacity:0.9; display: block;position: absolute;top: 0px; height: 100%; width: 100%; background: #fff;z-index: 1000;display: none;'>
				</div>-->
				
				<div class="appplugin-modal" id="Firstappointpress-modal-wgt" style="display:none; z-index:9999;">
					
					<div class='appplugin-modal-header'>
						<button data-dismiss='modal' class='appplugin-close' type='button' onclick='bookmodalcloseWgt();'>x</button><h3>Book Your Appointment</h3>
					</div>
					
					<div class="appplugin-modal-body" style="z-index:9999;">
						<div class='paddingT15 paddingB15' style='border:none'>
							<iframe src="<?php echo $NewTabUrl; ?>" width='100%' height='350' style='border:none'></iframe>
						</div>
					</div>
				<?php
				}
				?>
	
				</div>
			<script>
			function opennewtabWgt()
			{
				var url = '<?php echo $NewTabUrl; ?>';
				if(url)
				{
					window.open(url,'_blank');
				}
				else
				{
					alert('<?php _e('Apologies! Unable to book appointment at this time.', 'appointPress'); ?>')
				}
			}
			</script>
			<?php
		}
	}//end of wiget function


 	public function form( $instance ) {
		// outputs the options form on admin
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		}
		else {
			$title = __( 'Business Hours', 'SimpleBusinessHours' );
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
		<?php
	}

	public function update( $new_instance, $old_instance ) {
		// processes widget options to be saved
		$instance = array();
		$instance['title'] = strip_tags( $new_instance['title'] );
		return $instance;
	}
}
?>